package gui;

/**
 * An Indent has a toString() method that provides a string of blank characters.
 * The length of this string is based on the nesting level of function calls.
 * The nesting level is changed by invoking the enter() and leave() methods.
 */
public class Indent {
  
  private int spacesPerLevel;
  private StringBuilder indentString;
  private int level;
  
  public Indent(int spacesPerLevel) {
    this.spacesPerLevel = spacesPerLevel;
    indentString = new StringBuilder();
    level = 0;
  }

  public void setSpacesPerLevel(int spacesPerLevel) {
    this.spacesPerLevel = spacesPerLevel;
  }

  public void enter() {
    level++;
  }

  public void leave() {
    level--;
  }

  public void reset() {
    level = 0;
  }

  @Override
  public String toString() {
    int size = spacesPerLevel*level;
    while (indentString.length() < size) {
      indentString.append(' ');
    }
    return indentString.substring(0, size);
  }

}
