package lcs;

import java.util.Random;

/**
 * A StringGenerator generates random strings from an alphabet specified in its
 * constructor.
 */
public class StringGenerator {

  private String alphabet;
  private StringBuilder stringBuilder;
  private Random rng;

  /**
   * new StringGenerator(letters) generates random strings consisting of
   * characters in alphabet.
   * @param alphabet the alphabet for
   */
  public StringGenerator(String alphabet) {
    this.alphabet = alphabet;
    stringBuilder = new StringBuilder();
    rng = new Random(0);
  }

  /**
   * gen.nextString(length) returns a new random string of length length.
   * @param length the length of the random string
   * @return a random string
   */
  public String nextString(int length) {
    stringBuilder.setLength(0);
    for (int i = 0; i < length; i++) {
      stringBuilder.append(alphabet.charAt(rng.nextInt(alphabet.length())));
    }
    return stringBuilder.toString();
  }

  /**
   * StringGenerator.main(args) tests the StringGenerator clss by generating
   * 10 random strings of length 10 from the alphabet "ACGT".
   * @param args ignored
   */
  public static void main(String[] args) {
    StringGenerator generator = new StringGenerator("ACGT");
    for (int i = 0; i < 10; i++) {
      System.out.println(generator.nextString(10));
    }
  }

}
