package lcs;

import gui.Log;
import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;

/**
 * The Tester class provides a static main() method that brings up a graphical
 * user interface for testing the LCSSolver class.
 */
public class Tester {

  private LCSSolver solver;
  private StringGenerator generator;

  public Tester() {
    solver = new LCSSolver();
    generator = new StringGenerator("ACGT");
  }

  public JComponent getContentPane() {
    JPanel contentPane = new JPanel(new BorderLayout());
    JPanel controlPanel = new JPanel();
    // FIXME - add controls.
    contentPane.add(controlPanel, BorderLayout.WEST);
    JComponent logViewer = Log.createViewComponent();
    logViewer.setPreferredSize(new Dimension(700, 400));
    contentPane.add(logViewer, BorderLayout.CENTER);
    return contentPane;
  }

  public JMenuBar getMenuBar() {
    JMenuBar menuBar = new JMenuBar();
    JMenu logMenu = new JMenu("Log");
    logMenu.add(new JMenuItem(Log.getSaveAction()));
    menuBar.add(logMenu);
    return menuBar;
  }

  public static void main(String[] args) {
    Tester tester = new Tester();
    JFrame frame = new JFrame();
    frame.setContentPane(tester.getContentPane());
    frame.setJMenuBar(tester.getMenuBar());
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setLocation(100, 100);
    frame.pack();
    frame.setVisible(true);
  }

}
