package totalprice;

/**
 * A TotalPriceOptimizer computes the largest total price that can be obtained
 * by cutting a bar into sub-bars of various lengths.
 */
public interface TotalPriceOptimizer {

  /**
   * tpo.bestTotalPrice(length) returns the best total price that can be charged
   * for sub-bars cut from a bar of length length.
   * @param length the bar length
   * @return the best total price
   */
  double bestTotalPrice(int length);

}
