package totalprice;

/**
 * A MemoizedSimpleTotalPriceSolver determines how to cut a bar into sub-bars in
 * order to get the largest total price.
 */
public interface TotalPriceSolver {

  /**
   * tpo.getBestSolution(length) returns the best solution for cutting sub-bars
   * from a bar of length length.
   * The best solution is the one that yields the best total price.
   * @param length the length of a bar
   * @return the best solution for cutting the bar
   */
  Solution getBestSolution(int length);

}
